Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.util
Class XMLObjectOutputStream.PutField

    java.lang.Object
      java.io.ObjectOutputStream.PutField
          rice.p2p.util.XMLObjectOutputStream.PutField

Enclosing class:
  XMLObjectOutputStream

    public class XMLObjectOutputStream.PutField

extends java.io.ObjectOutputStream.PutField

This class is an implementation of PutField which is compatible with the XMLObjectOutputStream. It works in the same manner as the ObjectInputStream.PutField.

Field Summary
`protected java.util.Hashtable` | `objects`
`protected java.util.Hashtable` | `primitives`

Constructor Summary
`XMLObjectOutputStream.PutField()`

Method Summary
`protected boolean` | `getBoolean(java.lang.String name)`
`protected byte` | `getByte(java.lang.String name)`
`protected char` | `getChar(java.lang.String name)`
`protected double` | `getDouble(java.lang.String name)`
`protected float` | `getFloat(java.lang.String name)`
`protected int` | `getInt(java.lang.String name)`
`protected long` | `getLong(java.lang.String name)`
`protected java.lang.Object` | `getObject(java.lang.String name)`
`protected java.lang.String[]` | `getObjects()`
`protected java.lang.String[]` | `getPrimitives()`
`protected short` | `getShort(java.lang.String name)`
`void` | `put(java.lang.String name, boolean value)`
`void` | `put(java.lang.String name, byte value)`
`void` | `put(java.lang.String name, char value)`
`void` | `put(java.lang.String name, double value)`
`void` | `put(java.lang.String name, float value)`
`void` | `put(java.lang.String name, int value)`
`void` | `put(java.lang.String name, long value)`
`void` | `put(java.lang.String name, java.lang.Object value)`
`void` | `put(java.lang.String name, short value)`
`void` | `write(java.io.ObjectOutput output)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### primitives

    protected java.util.Hashtable primitives

### objects

    protected java.util.Hashtable objects

Constructor Detail

### XMLObjectOutputStream.PutField

    public XMLObjectOutputStream.PutField()

Method Detail

### getPrimitives

    protected java.lang.String[] getPrimitives()

### getObjects

    protected java.lang.String[] getObjects()

### put

    public void put(java.lang.String name,
                    boolean value)

  Specified by:
    `put` in class `java.io.ObjectOutputStream.PutField`

### put

    public void put(java.lang.String name,
                    byte value)

  Specified by:
    `put` in class `java.io.ObjectOutputStream.PutField`

### put

    public void put(java.lang.String name,
                    char value)

  Specified by:
    `put` in class `java.io.ObjectOutputStream.PutField`

### put

    public void put(java.lang.String name,
                    double value)

  Specified by:
    `put` in class `java.io.ObjectOutputStream.PutField`

### put

    public void put(java.lang.String name,
                    float value)

  Specified by:
    `put` in class `java.io.ObjectOutputStream.PutField`

### put

    public void put(java.lang.String name,
                    int value)

  Specified by:
    `put` in class `java.io.ObjectOutputStream.PutField`

### put

    public void put(java.lang.String name,
                    long value)

  Specified by:
    `put` in class `java.io.ObjectOutputStream.PutField`

### put

    public void put(java.lang.String name,
                    short value)

  Specified by:
    `put` in class `java.io.ObjectOutputStream.PutField`

### put

    public void put(java.lang.String name,
                    java.lang.Object value)

  Specified by:
    `put` in class `java.io.ObjectOutputStream.PutField`

### getObject

    protected java.lang.Object getObject(java.lang.String name)

### getBoolean

    protected boolean getBoolean(java.lang.String name)

### getByte

    protected byte getByte(java.lang.String name)

### getChar

    protected char getChar(java.lang.String name)

### getDouble

    protected double getDouble(java.lang.String name)

### getFloat

    protected float getFloat(java.lang.String name)

### getInt

    protected int getInt(java.lang.String name)

### getLong

    protected long getLong(java.lang.String name)

### getShort

    protected short getShort(java.lang.String name)

### write

    public void write(java.io.ObjectOutput output)
               throws java.io.IOException

  Deprecated.

  only exists to satisfy deprecated method in superclass

  Specified by:
    `write` in class `java.io.ObjectOutputStream.PutField`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.